from discord import Member, Bot, Cog, ApplicationContext
from discord.commands import slash_command
from logging import Logger


class Greetings(Cog):
    def __init__(self, bot: Bot, logger: Logger):
        self.bot = bot
        self.logger = logger

    @slash_command(name="hello")
    async def hello(self, context: ApplicationContext, *, member: Member = None):
        self.logger.info("Say Hello")

        member = member or context.author
        await context.send(f"Hello {member.name}~")
